1. Herzlich willkommen bei WPDE.org, dem grössten und ältesten deutschsprachigen Community-Forum rund um das Thema WordPress. Du musst angemeldet oder registriert sein, um Beiträge verfassen zu können.
    Information ausblenden

WP 5.6 Responsiv Menü Link Fehler in 3. Ebene

Dieses Thema im Forum "Design" wurde erstellt von DaStarBuG, 8. Februar 2021.

  1. DaStarBuG

    DaStarBuG Member

    Registriert seit:
    8. Februar 2021
    Beiträge:
    10
    Zustimmungen:
    0
    Hallo

    auf meiner Webseite https://www.Kinderarzt-Cuxland.de habe ich ein Responsives Menü (habe ich mir vor Jahren mal programmieren lassen).

    Jetzt ist mir durch Zufall aufgefallen, dass im responsiven Design im Menü ein Klick auf die Kategorie, der eigentlich die 3. Menüebene aufklappen sollte ein Link ist, der zu z.B. https://www.kinderarzt-cuxland.de/category/entwicklung/ führt.

    Informationen (1. Ebene)
    > Entwicklung (2. Ebene) <- hier wird nicht das Untermenü geöffnet sondern man gelangt zu der Seite
    > Kindliche Entwicklung (3. Ebene)

    Ich nutze auf meine Blog nur "Seiten", keine "Beiträge".

    In CSS und HTML kenne ich mich aus, mit JS und PHP nicht so sehr.

    Wenn mir hier jemand helfen könnte wäre ich sehr verbunden, ich finde einfach den Fehler nicht.
    Mit meinen Plugins hat es nichts zu tun, der Fehler tritt auch auf, wenn alle Plugins deaktiviert sind.

    Ein "Nebenproblem" hätte ich da auch noch, das ist aber nur marginal wichtig.
    Im Responsiven Menü ist der Letzte Menüpunkt (Informationen) zu 1/5 von der Headline von unten überlagert und irgendwie bekomme ich das auch nicht gefixt.

    Ich würde mich sehr über Hilfe freuen.

    Mit freundlichen Grüßen

    M.Scheel
     
  2. SEpp55

    SEpp55 Well-Known Member

    Registriert seit:
    3. Februar 2016
    Beiträge:
    2.546
    Zustimmungen:
    403
    Hallo, zu Beginn der Hinweis auf ein (regelmäßiges) Full-Backup, inkl. Datenbank. als wichtige Sicherung und ggf. Rückfallebene, wenn du das nicht ohnehin hast/machst!

    - zum Menü,
    wenn für den Menüpunkt Entwicklung keine eigene Seite vorhanden ist würde ich einen Individuellen Link erstellen und in das Feld URL ein # eingeben! Damit wird der Menüpunkt von WP akzeptiert und ist nicht klickbar! Die beiden anderen Menüpunkte der 2. Ebene kannst du genaus so wie gehabt wieder einfügen.

    - zum Nebenproblem
    auf deiner Seite ist eine id="middle", die über CSS in verschiedenen responsiven Anweisungen einmal ein top: -20px und einmal ein tpo: -50px als Positionierungshilfe vorgegeben hat. Die auf 0 (Null) gestellt oder auskommentiert und schon rückt die Headline nach unten.
    Das genauer anzusehen, solltest du den Austoptimiter temporär abschalten!
     
  3. DaStarBuG

    DaStarBuG Member

    Registriert seit:
    8. Februar 2021
    Beiträge:
    10
    Zustimmungen:
    0
    Ist selbstverständlich :)


    Hat leider nicht funktioniert.
    Die Menüpunkte in 2. Ebene mit Unterseiten sind Kategorien gewesen, da gibt es kein URL Feld.
    Habe dann daraus einen Individuellen Link gemacht und es so gemacht wie Sie gesagt haben, aber das führt nur dazu, dass jetzt nicht mehr die Fehlerseite kommt, das Menü klappt nach wie vor nicht auf und zeigt die Inhalte des Untermenüs. :(

    Problem erkannt, Problem gebannt. Vielen Dank :)
     
  4. SEpp55

    SEpp55 Well-Known Member

    Registriert seit:
    3. Februar 2016
    Beiträge:
    2.546
    Zustimmungen:
    403
    Sowei, so schlecht ;)

    Gibt es einen logischen Unterschied zum Menüpunkt Impfungen? Ausser das da eine Seite Impfungen vorhanden ist.
     
  5. DaStarBuG

    DaStarBuG Member

    Registriert seit:
    8. Februar 2021
    Beiträge:
    10
    Zustimmungen:
    0
    Impfungen hat auch mehrere Unterseiten. Impfungen ist eine Seite, die anderen wie Störungen, Erkrankungen, Informationen sind Kategorien.
    Entwicklungen ist jetzt ein individueller Link ohne URL.

    Alle haben aber das gleiche Problem und lassen sich nicht aufklappen
     
  6. SEpp55

    SEpp55 Well-Known Member

    Registriert seit:
    3. Februar 2016
    Beiträge:
    2.546
    Zustimmungen:
    403
    Wenn ich auf die Beschriftung klicke wird die Seite "Impfungen" geöffnet, wenn ich rechts auf das Sympol rechts klicke wird das Untermenü sichtbar - bei Impfungen!
    Zur besseren Erklärung habe ich den Hintergrund eingefärbt ;)

    upload_2021-2-9_14-28-4.png
    Aber wenn du schreibst,
    kann man nicht sagen woran das liegt.
    Dein Theme Medicure ist ein Kauftheme und da kann man auch nicht mal schnell hineinsehen.... Zusätzlich steht bei der Themenbeschreibung 100% Responsive ....
    Du könntest beim Themesupport eine Anfrage starten wegen Menü - 3. Ebene....
     
  7. DaStarBuG

    DaStarBuG Member

    Registriert seit:
    8. Februar 2021
    Beiträge:
    10
    Zustimmungen:
    0
    Das einzige was ich an Unterschied finde ist in der li id fehlt "menu-item-has-children" bei allen Untermenüs ausser beim Impfen.
    Warum das nur beim Impfen steht erschließt sich mir nicht.

    Ich finde dazu kein Setting, auch habe ich zum Test mal für Entwicklung eine Seite erstellt und diese als Oberpunkt genommen,
    hat aber auch keine Veränderung gebracht.

    Wodurch wird dieses "menu-item-has-children" getriggert?

    Support für das Theme ist schon vor Jahren abgelaufen, ist also nicht ohne weiteres zu bekommen.
     
  8. SEpp55

    SEpp55 Well-Known Member

    Registriert seit:
    3. Februar 2016
    Beiträge:
    2.546
    Zustimmungen:
    403
    Das wird auch der Grund sein warum das Ding schön langsam aber sicher für die Tonne wird!
    Wordpress wird mit Riesenschritten weiterentwickelt und wenn das Theme nicht mitgezogen wird - dann haben fertig!
    Ab WordPress 5.6 wird eine veraltete jQuery-Bibliothek nicht mehr verwendet, wenn die irgend wo im Spiel ist hackt es daran.
    Vielleicht hilft die Installation des Enable jQuery Migrate Helper Plugins, evtl. behebt das übergangsweise dein Problem - auch keine Dauerlösung.
     
  9. DaStarBuG

    DaStarBuG Member

    Registriert seit:
    8. Februar 2021
    Beiträge:
    10
    Zustimmungen:
    0
    Das Theme wird schon noch geupdatet, aber ich kann den Support nicht ohne Kosten in Anspruch nehmen.
    Und da ich das Problem wahrscheinlich selber erzeugt habe (habe z.B. mit dem Update auf die neueste Theme Version das erste mal ein Child Theme erzeugt) liegt es nicht am Theme direkt und ich denke auch, dass die mir da dann nicht helfen können.
    Zudem habe ich das CSS des Menüs vor 4 Jahren mal optimieren lassen, damals ging es aber noch.

    Was ich nur wirklich komisch finde ist, dass es bei Impfungen geht und beim Rest nicht.
    Also irgendwo muss dieses menu-item-has-children getriggert werden und warum dass nicht überall geht ist mir unklar
     
  10. DaStarBuG

    DaStarBuG Member

    Registriert seit:
    8. Februar 2021
    Beiträge:
    10
    Zustimmungen:
    0
    Ich habe auch versucht, ein neues Menü zu erstellen. Hier wird dann auch bei Impfungen nur noch auf die Seite gelinkt und nicht mehr das Untermenü erzeugt.

    Traut sich jemand zu dieses bei mir auf der Seite (auch kostenpflichtig) zu reparieren?
    Ich brauche die Webseite nämlich dringend funktionsfähig.
     
  11. DaStarBuG

    DaStarBuG Member

    Registriert seit:
    8. Februar 2021
    Beiträge:
    10
    Zustimmungen:
    0
    Zur Ergänzung:

    Ich bekomme folgende Fehler, nachdem ich einen jQuery Fix aus dem Footer Template entfernt habe:

    2021-02-10 08:46:09 jQuery.fn.bind() is deprecated Theme: Medicure https://www.kinderarzt-cuxland.de/wp-content/themes/medicure/js/jquery.script.js https://www.kinderarzt-cuxland.de/
    2021-02-10 08:46:10 jQuery.fn.click() event shorthand is deprecated Theme: Medicure https://www.kinderarzt-cuxland.de/wp-content/themes/medicure/js/jquery.script.js https://www.kinderarzt-cuxland.de/
    2021-02-10 08:46:11 jQuery.fn.resize() event shorthand is deprecated Theme: Medicure https://www.kinderarzt-cuxland.de/wp-content/themes/medicure/js/jquery.script.js https://www.kinderarzt-cuxland.de/
    2021-02-10 08:46:11 jQuery.fn.hover() is deprecated Theme: Medicure https://www.kinderarzt-cuxland.de/wp-content/themes/medicure/js/jquery.script.js https://www.kinderarzt-cuxland.de/
    2021-02-10 08:46:13 jQuery.fn.scroll() event shorthand is deprecated Theme: Medicure https://www.kinderarzt-cuxland.de/wp-content/themes/medicure/js/jquery.script.js https://www.kinderarzt-cuxland.de/

    der Fix war:

    <!-- _________________________ jquery fix for older themes _________________________ -->

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>

    <!-- _________________________ jquery fix for older themes _________________________ -->
     
  12. SEpp55

    SEpp55 Well-Known Member

    Registriert seit:
    3. Februar 2016
    Beiträge:
    2.546
    Zustimmungen:
    403
    Hast du das in #8 angeführte Plugin schon versucht?
     
  13. DaStarBuG

    DaStarBuG Member

    Registriert seit:
    8. Februar 2021
    Beiträge:
    10
    Zustimmungen:
    0
    Ja, daher kommt ja auch die Fehlermeldung.
    Hat leider keinen Unterschied gemacht. Auch die Umstellung auf die alte jquery Version ändert nichts :/
     
  14. SEpp55

    SEpp55 Well-Known Member

    Registriert seit:
    3. Februar 2016
    Beiträge:
    2.546
    Zustimmungen:
    403
    Diese Anfrage solltest du im der Jobbörse stellen.

    Sorry, das ich nicht wirklich helfen konnte.
     
  15. DaStarBuG

    DaStarBuG Member

    Registriert seit:
    8. Februar 2021
    Beiträge:
    10
    Zustimmungen:
    0
    Kein Problem. Vielen Dank für die Hilfe.

    Ich habe jetzt erstmal den Theme Entwicklern geschrieben ob ich nur auf die neue Version warten muss oder ob es ein anderes Problem ist.
    Wenn die nicht helfen können erstelle ich ein Jobangebot :)
     
  16. DaStarBuG

    DaStarBuG Member

    Registriert seit:
    8. Februar 2021
    Beiträge:
    10
    Zustimmungen:
    0
    Rückmeldung: der Support des Themes hat mir eine neuere Version geschickt. Jetzt geht es wieder.
     
  17. SEpp55

    SEpp55 Well-Known Member

    Registriert seit:
    3. Februar 2016
    Beiträge:
    2.546
    Zustimmungen:
    403
    Ok, also doch das Theme - danke für die Antwort -
     
  18. b3317133

    b3317133 Well-Known Member

    Registriert seit:
    21. November 2014
    Beiträge:
    8.413
    Zustimmungen:
    924
    Kleiner Tipp, ggf. auch an den Theme Hersteller weiterleiten:

    Die aktuelle Version des Themes erzeugt weiterhin Fehlermeldungen in der Browser Konsole, z.B.
    Code:
    Entschuldige, aber du musst dich registrieren oder anmelden um den Inhalt sehen zu können!
    Evtl. hilft hier temporär das bereits von @SEpp55 angesprochene Plugin, mehr dazu z.B. in diesem Blogbeitrag Probleme nach Update auf WordPress 5.5 und mögliche Lösungen bei wordpress.org

    Beide genannten Fehler sind auf die Nutzung der nicht mehr in der mit WordPress mitgelieferten jQuery Version vorhandenen jQuery.browser API zurückzuführen.
     
  1. Diese Seite verwendet Cookies, um Inhalte zu personalisieren, diese deiner Erfahrung anzupassen und dich nach der Registrierung angemeldet zu halten.
    Wenn du dich weiterhin auf dieser Seite aufhältst, akzeptierst du unseren Einsatz von Cookies.
    Information ausblenden
  1. Diese Seite verwendet Cookies, um Inhalte zu personalisieren, diese deiner Erfahrung anzupassen und dich nach der Registrierung angemeldet zu halten.
    Wenn du dich weiterhin auf dieser Seite aufhältst, akzeptierst du unseren Einsatz von Cookies.
    Information ausblenden